
package pso;
import java.util.*;
/**
 *
 * @author michael
 */
public class Main {
    
    
    public Main() {  }
    
public static void main(String [] args) {
               String RNA="ACAGGUUCGCCUGUGUUGCGAACCUGCGGGUUCG";
               //String RNA="AAUUACAAUGUUGUAGUUAGCUAUAUAUCAAAAAAUAUAGCAACUAAGGUGGAGCAAGUCAUUGUACUAAAGAUGUUUGUAAUACCUUGAUGUUCCCGCUGGGAGCAAUAACAACAAAAUUUCUGAUUGGAAAUAGUCAUUAAACUAACUGGCUAUUUACUUACCUGGCUGGAGUUAGCUAUCGAU"; 
               int minimum_loopsize=3;
               int minimum_stacksize=2;
               int reference_size=2;//4
               int n_divisions=1;//8;
               RNAParameters RNAParams=new RNAParameters(RNA,minimum_loopsize,minimum_stacksize,reference_size,n_divisions);
    
    
               int ants=1;//30
               int iterations=2;//50
               int start_contacts=0;//3;
               int steps_per_turn=1;
               double evaporate=.8;
               double min_prob_S=.05;
               double p_random_move=.1;
               boolean remove_stacks=false;
               SearchParameters SearchParams=new SearchParameters(ants,iterations,start_contacts,steps_per_turn,evaporate,p_random_move,min_prob_S,remove_stacks);
    
               Swarm swarm=new Swarm(RNAParams,SearchParams);
               swarm.Initialize();
               swarm.Search();
               System.out.println("exit");
}
}
                
